org.apache.flume.channel.jdbc.impl

## Class SchemaHandlerFactory

- java.lang.Object
- - org.apache.flume.channel.jdbc.impl.SchemaHandlerFactory

-     public final class SchemaHandlerFactory
      extends Object

  A factory for SchemaHandlers.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaHandler` | `getHandler(DatabaseType dbType, DataSource dataSource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getHandler

          public static SchemaHandler getHandler(DatabaseType dbType,
                                 DataSource dataSource)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.